courier-authlib-pipe-0.68.0-2.1.x86_64.rpm


Advertisement

Description

courier-authlib-pipe - Pipe support for the Courier authentication library

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename courier-authlib-pipe-0.68.0-2.1.x86_64.rpm
Package name courier-authlib-pipe
Package version 0.68.0
Package release 2.1
Package architecture x86_64
Package type rpm
Category Productivity/Networking/Email/Servers
Homepage http://www.courier-mta.org/imap/
License SUSE-GPL-3.0-with-openssl-exception
Maintainer -
Download size 14.06 KB
Installed size 14.30 KB
This package installs Pipe support for the Courier authentication
library. Install this package in order to be able to authenticate using
Pipe.

Alternatives

Package Version Architecture Repository
courier-authlib-pipe-0.68.0-2.1.i586.rpm 0.68.0 i586 openSUSE Oss
courier-authlib-pipe - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.15)(64bit) -
libcourierauth.so()(64bit) -

Provides

Name Value
courier-authlib-pipe = 0.68.0-2.1
courier-authlib-pipe(x86-64) = 0.68.0-2.1
libauthpipe.so()(64bit) -

Download

Type URL
Mirror widehat.opensuse.org
Binary Package courier-authlib-pipe-0.68.0-2.1.x86_64.rpm
Source Package courier-authlib-0.68.0-2.1.src.rpm

Install Howto

Install courier-authlib-pipe rpm package:

# zypper install courier-authlib-pipe

Files

Path
/usr/lib64/libauthpipe.so

Changelog

2019-04-09 - Christophe Giboudeaux <christophe@krop.fr>
- Add the missing dependencies for Tumbleweed.
2017-12-04 - suse+build@de-korte.org
- update to 0.68.0
* authldaplib.cpp: Rewrite authldap in modern C++. Autodetect
and automatically reload authldaprc when it is changed. No server
restart is required.
* authldaplib.cpp (operator): Fix compilation warning.
* checkpassword.c (do_authcheckpassword): Check for a null return
value from crypt().
* authsqlite, authmysql, authpgsql: Rewrite these modules in
modern C++. Autodetect and automatically reload the configuration
file when it's changed, no server restart is needed.
* userdb/userdbpw.c (main): Use bcrypt_gensalt() on OpenBSD
* courierauth.h: Move declarations from cramlib.h into courierauth.h,
exporting them as part of the public API.
* configure.ac: Rebuild against updated courier-unicode API.
2017-04-11 - jengelh@inai.de
- Drop redundant %clean section. Dissolve %__-type macros.
2017-03-17 - kukuk@suse.com
- Don't install init script if we use systemd
2017-02-18 - kukuk@suse.com
- Don't call insserv if we use systemd
2016-05-16 - chris@computersalat.de
- udpate to 0.66.4
* authgetconfig.c (authgetconfig): avoid invalid memory read.
2015-08-05 - chris@computersalat.de
- update to 0.66.3
* authdaemon.c: auth_callback_default_autocreate, default callback
used by clients that autocreates a home directory, if one does not
exist already.
- update to 0.66.2
* Update to courier-unicode 1.2.
* liblock, couriertls: fix compilation for OpenBSD -- based on a
patch from Giovanni Bechis <giovanni@paclan.it>.
* checkpassword.c (safe_strcmp): Fix bug introduced in 2014-04-27.
* courier.spec.in: Update to use systemd macros.
* Check for NULL return value from crypt().
* Factored out the unicode library into a separate package.
- add BuildRequires courier-unicode-devel
- fix deps (SLE_11_SP4) to build againts pgsql >= 9.1
2014-11-09 - Led <ledest@gmail.com>
- fix bashism in preun script
2014-07-31 - dimstar@opensuse.org
- Rename rpmlintrc to %{name}-rpmlintrc.
Follow the packaging guidelines.
2014-03-18 - chris@computersalat.de
- fix missing LOGGEROPTS in authdaemonrc
* added patch courier-authlib-authdaemonrc.patch

See Also

Package Description
courier-authlib-sqlite-0.68.0-2.1.i586.rpm SQLite support for the Courier authentication library
courier-authlib-sqlite-0.68.0-2.1.x86_64.rpm SQLite support for the Courier authentication library
courier-authlib-userdb-0.68.0-2.1.i586.rpm Userdb support for the Courier authentication library
courier-authlib-userdb-0.68.0-2.1.x86_64.rpm Userdb support for the Courier authentication library
courier-imap-4.18.2-2.2.i586.rpm An IMAP and POP3 Server for Maildir MTAs
courier-imap-4.18.2-2.2.x86_64.rpm An IMAP and POP3 Server for Maildir MTAs
courier-prime-fonts-1.203-2.5.noarch.rpm Monospace font similar to Courier
courier-unicode-devel-2.1-1.1.i586.rpm Courier Unicode Library - Development files
courier-unicode-devel-2.1-1.1.x86_64.rpm Courier Unicode Library - Development files
courier-unicode-doc-2.1-1.1.noarch.rpm Courier Unicode Library - Docs and man pages
cowsay-3.03-4.4.noarch.rpm Configurable talking cow (and some other creatures)
cozy-0.6.7-1.2.noarch.rpm Audio Book Player
cozy-lang-0.6.7-1.2.noarch.rpm Translations for package cozy
cpanspec-1.78.09.1554211595.43afd0f-1.1.noarch.rpm Generate a SUSE spec file for a CPAN module
cpio-2.12-6.5.i586.rpm A Backup and Archiving Utility
Advertisement
Advertisement